    The XSPEC notch model: absorption line, notch.

xsnotch
The xsnotch model is a multiplicative model component.

The model is described at [1] .

>>> create_model_component("xsnotch", "mdl")
>>> print(mdl)

Create a component of the xsnotch model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.LineE thawed 3.5 0 20 keV mdl.Width thawed 1 0 20 keV mdl.CvrFract frozen 1 0 1

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
LineE
The line energy, in keV.
Width
The line width, in keV.
CvrFract
The covering fraction.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelNotch.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023